diff --git ArjunaCore/arjuna/pom.xml ArjunaCore/arjuna/pom.xml
index e09470a..c38401c 100644
--- ArjunaCore/arjuna/pom.xml
+++ ArjunaCore/arjuna/pom.xml
@@ -49,6 +49,17 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
       <plugin>
         <groupId>org.codehaus.mojo</groupId>
         <artifactId>build-helper-maven-plugin</artifactId>
diff --git ArjunaCore/arjunacore/pom.xml ArjunaCore/arjunacore/pom.xml
index 1f92fb0..8133c30 100644
--- ArjunaCore/arjunacore/pom.xml
+++ ArjunaCore/arjunacore/pom.xml
@@ -33,6 +33,17 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
       <plugin>
         <groupId>org.codehaus.mojo</groupId>
         <artifactId>buildnumber-maven-plugin</artifactId>
diff --git ArjunaCore/pom.xml ArjunaCore/pom.xml
index 2050ffd..80e0136 100644
--- ArjunaCore/pom.xml
+++ ArjunaCore/pom.xml
@@ -34,6 +34,17 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
     </plugins>
   </build>
   <modules>
diff --git ArjunaCore/txoj/pom.xml ArjunaCore/txoj/pom.xml
index 6e5a9f8..56a20d2 100644
--- ArjunaCore/txoj/pom.xml
+++ ArjunaCore/txoj/pom.xml
@@ -45,6 +45,17 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
       <plugin>
         <groupId>org.codehaus.mojo</groupId>
         <artifactId>build-helper-maven-plugin</artifactId>
diff --git ArjunaJTA/jdbc/pom.xml ArjunaJTA/jdbc/pom.xml
index 07f007a..d3896fe 100644
--- ArjunaJTA/jdbc/pom.xml
+++ ArjunaJTA/jdbc/pom.xml
@@ -50,7 +50,7 @@
           </excludes>
         </configuration>
       </plugin>
-    </plugins>
+</plugins>
   </build>
   <dependencies>
     <dependency>
diff --git ArjunaJTA/narayana-jta/pom.xml ArjunaJTA/narayana-jta/pom.xml
index 671fcb0..592e245 100644
--- ArjunaJTA/narayana-jta/pom.xml
+++ ArjunaJTA/narayana-jta/pom.xml
@@ -33,6 +33,17 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
       <plugin>
         <groupId>org.codehaus.mojo</groupId>
         <artifactId>buildnumber-maven-plugin</artifactId>
diff --git ArjunaJTA/pom.xml ArjunaJTA/pom.xml
index 7824228..bdccc92 100644
--- ArjunaJTA/pom.xml
+++ ArjunaJTA/pom.xml
@@ -34,6 +34,16 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                </executions>
+            </plugin>
     </plugins>
   </build>
   <modules>
diff --git ArjunaJTS/integration/pom.xml ArjunaJTS/integration/pom.xml
index fc0c693..1923a05 100644
--- ArjunaJTS/integration/pom.xml
+++ ArjunaJTS/integration/pom.xml
@@ -33,6 +33,17 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
       <plugin>
         <groupId>org.codehaus.mojo</groupId>
         <artifactId>buildnumber-maven-plugin</artifactId>
diff --git ArjunaJTS/narayana-jts-idlj/pom.xml ArjunaJTS/narayana-jts-idlj/pom.xml
index 3afd67f..de4cdb6 100644
--- ArjunaJTS/narayana-jts-idlj/pom.xml
+++ ArjunaJTS/narayana-jts-idlj/pom.xml
@@ -33,6 +33,17 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
       <plugin>
         <groupId>org.codehaus.mojo</groupId>
         <artifactId>buildnumber-maven-plugin</artifactId>
diff --git ArjunaJTS/narayana-jts-jacorb/pom.xml ArjunaJTS/narayana-jts-jacorb/pom.xml
index a2841f6..25a0157 100644
--- ArjunaJTS/narayana-jts-jacorb/pom.xml
+++ ArjunaJTS/narayana-jts-jacorb/pom.xml
@@ -33,6 +33,17 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
       <plugin>
         <groupId>org.codehaus.mojo</groupId>
         <artifactId>buildnumber-maven-plugin</artifactId>
diff --git ArjunaJTS/pom.xml ArjunaJTS/pom.xml
index 10283be..5b9f933 100644
--- ArjunaJTS/pom.xml
+++ ArjunaJTS/pom.xml
@@ -34,6 +34,17 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
     </plugins>
   </build>
   <modules>
diff --git XTS/jbossxts/pom.xml XTS/jbossxts/pom.xml
index 523e877..86bbf1a 100644
--- XTS/jbossxts/pom.xml
+++ XTS/jbossxts/pom.xml
@@ -33,6 +33,17 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
       <plugin>
         <groupId>org.codehaus.mojo</groupId>
         <artifactId>buildnumber-maven-plugin</artifactId>
diff --git XTS/pom.xml XTS/pom.xml
index ab3b135..d1f1c87 100644
--- XTS/pom.xml
+++ XTS/pom.xml
@@ -34,6 +34,17 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
     </plugins>
   </build>
   <modules>
diff --git common/pom.xml common/pom.xml
index 0a1d107..5d81434 100644
--- common/pom.xml
+++ common/pom.xml
@@ -28,6 +28,17 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
       <plugin>
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-jar-plugin</artifactId>
diff --git pom.xml pom.xml
index 7870e3a..e589225 100644
--- pom.xml
+++ pom.xml
@@ -305,6 +305,16 @@
         </plugin>
         <plugin>
           <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-install-plugin</artifactId>
+            <executions>
+               <execution>
+                 <id>default-install</id>
+                 <phase>none</phase>
+               </execution>
+             </executions>
+        </plugin>
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
           <artifactId>maven-surefire-plugin</artifactId>
           <version>2.9</version>
             <configuration>
@@ -334,6 +344,17 @@
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+                <executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
       <plugin>
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-source-plugin</artifactId>
diff --git qa/TaskImpl.properties qa/TaskImpl.properties
index 52de983..80339dd 100644
--- qa/TaskImpl.properties
+++ qa/TaskImpl.properties
@@ -15,7 +15,7 @@
 # Location of the JVM to use. Should usually be jdk6. Tweak according to your machine.
 # Note: the version in svn should have the right value for the hudson server - don't check in you own!
 #
-COMMAND_LINE_0=java
+COMMAND_LINE_0=/usr/lib/jvm/java-1.6.0-openjdk.x86_64/bin/java
 # use this form to inherit the java version used by ant:
 #COMMAND_LINE_0=${java.home}${file.separator}bin${file.separator}java
 #COMMAND_LINE_0=/usr/local/jdk1.6.0_24/bin/java
diff --git rest-tx/pom.xml rest-tx/pom.xml
index 9a4ae49..765eca0 100644
--- rest-tx/pom.xml
+++ rest-tx/pom.xml
@@ -40,6 +40,17 @@ Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
           <skip>false</skip>
         </configuration>
       </plugin>
+            <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
     </plugins>
   </build>
 
diff --git txbridge/pom.xml txbridge/pom.xml
index 9aac5ce..3e68701 100644
--- txbridge/pom.xml
+++ txbridge/pom.xml
@@ -61,6 +61,17 @@
                 </configuration>
             </plugin>
             <plugin>
+                <inherited>false</inherited>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-install-plugin</artifactId>
+		<executions>
+                   <execution>
+                     <id>default-install</id>
+                     <phase>install</phase>
+                   </execution>
+                 </executions>
+            </plugin>
+            <plugin>
                 <groupId>org.apache.maven.plugins</groupId>
                 <artifactId>maven-dependency-plugin</artifactId>
                 <executions>