Index: tomcat/src/main/org/jboss/web/tomcat/service/session/JBossCacheManager.java
===================================================================
--- tomcat/src/main/org/jboss/web/tomcat/service/session/JBossCacheManager.java	(revision 113677)
+++ tomcat/src/main/org/jboss/web/tomcat/service/session/JBossCacheManager.java	(working copy)
@@ -790,7 +790,7 @@
    {
       // Identify ourself more clearly
       log_ = Logger.getLogger(getClass().getName() + "." + 
-                              getContainer().getName().replaceAll("/", ""));
+                              getContainer().getName().replaceAll("/", "")+"@"+this.hashCode());
       
       if (embedded_)
       {
@@ -1647,6 +1647,10 @@
 
    protected int getTotalActiveSessions()
    {
+      int l =  localActiveCounter_.get();
+      int u = unloadedSessions_.size();
+      int p = passivatedCount_.get();
+      log_.info("---> "+l+" + "+u+" - "+p);
       return localActiveCounter_.get() + unloadedSessions_.size() - passivatedCount_.get();
    }
 
Index: testsuite/src/main/org/jboss/test/cluster/defaultcfg/simpleweb/test/AttributeBasedMaxUnreplicatedIntervalTestCase.java
===================================================================
--- testsuite/src/main/org/jboss/test/cluster/defaultcfg/simpleweb/test/AttributeBasedMaxUnreplicatedIntervalTestCase.java	(revision 113677)
+++ testsuite/src/main/org/jboss/test/cluster/defaultcfg/simpleweb/test/AttributeBasedMaxUnreplicatedIntervalTestCase.java	(working copy)
@@ -24,6 +24,8 @@
 
 import junit.framework.Test;
 
+import org.apache.log4j.LogManager;
+import org.apache.log4j.Logger;
 import org.jboss.metadata.web.jboss.ReplicationGranularity;
 import org.jboss.test.cluster.testutil.CacheConfigTestSetup;
 import org.jboss.test.cluster.testutil.SessionTestUtil;
Index: testsuite/src/main/org/jboss/test/cluster/defaultcfg/simpleweb/test/SessionCountUnitTestCase.java
===================================================================
--- testsuite/src/main/org/jboss/test/cluster/defaultcfg/simpleweb/test/SessionCountUnitTestCase.java	(revision 113677)
+++ testsuite/src/main/org/jboss/test/cluster/defaultcfg/simpleweb/test/SessionCountUnitTestCase.java	(working copy)
@@ -152,24 +152,24 @@
       
       // Set up a session
       Session sess1 = createAndUseSession(jbcm, "1", true, true);
-      
+      log.info("jbcm[1]>"+jbcm);
       assertEquals("Session count correct", 1, jbcm.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm.getLocalActiveSessionCount());
       
       createAndUseSession(jbcm, "2", true, true);
-      
+      log.info("jbcm[2]>"+jbcm);
       assertEquals("Session count correct", 2, jbcm.getActiveSessionCount());
       assertEquals("Local session count correct", 2, jbcm.getLocalActiveSessionCount());
       
       // Should fail to create a 3rd
       createAndUseSession(jbcm, "3", false, false);
-      
+      log.info("jbcm[3]>"+jbcm);
       // Confirm a session timeout clears space
       sess1.setMaxInactiveInterval(1);       
       SessionTestUtil.sleepThread(1100);      
       
       createAndUseSession(jbcm, "3", true, true);      
-      
+      log.info("jbcm[4]>"+jbcm);
       assertEquals("Session count correct", 2, jbcm.getActiveSessionCount());
       assertEquals("Local session count correct", 2, jbcm.getLocalActiveSessionCount());
       assertEquals("Created session count correct", 3, jbcm.getCreatedSessionCount());
@@ -197,19 +197,19 @@
 
       // Set up a session
       Session sess1 = createAndUseSession(jbcm, "1", true, true);
-      
+      log.info("jbcm[1]>"+jbcm);
       assertEquals("Session count correct", 1, jbcm.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm.getLocalActiveSessionCount());
       
       // Should fail to create a 2nd
       createAndUseSession(jbcm, "2", false, false);
-      
+      log.info("jbcm[2]>"+jbcm);
       // Confirm a session timeout clears space
       sess1.setMaxInactiveInterval(1);       
       SessionTestUtil.sleepThread(1100);      
       
       createAndUseSession(jbcm, "2", true, true);      
-      
+      log.info("jbcm[3]>"+jbcm);
       assertEquals("Session count correct", 1, jbcm.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm.getLocalActiveSessionCount());
       assertEquals("Created session count correct", 2, jbcm.getCreatedSessionCount());
@@ -222,7 +222,7 @@
       assertEquals("Passivated session count correct", 0, jbcm.getPassivatedSessionCount());
       
       createAndUseSession(jbcm, "3", true, true);      
-      
+      log.info("jbcm[4]>"+jbcm);
       assertEquals("Session count correct", 1, jbcm.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm.getLocalActiveSessionCount());
       assertEquals("Created session count correct", 3, jbcm.getCreatedSessionCount());
@@ -251,19 +251,19 @@
       
       // Set up a session
       Session sess1 = createAndUseSession(jbcm, "1", true, true);
-      
+      log.info("jbcm[1]>"+jbcm);
       assertEquals("Session count correct", 1, jbcm.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm.getLocalActiveSessionCount());
       
       // Should fail to create a 2nd
       createAndUseSession(jbcm, "2", false, false);
-      
+      log.info("jbcm[2]>"+jbcm);
       // Confirm a session timeout clears space
       sess1.setMaxInactiveInterval(1);       
       SessionTestUtil.sleepThread(1100);      
       
       createAndUseSession(jbcm, "2", true, false);      
-      
+      log.info("jbcm[3]>"+jbcm);
       assertEquals("Session count correct", 1, jbcm.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm.getLocalActiveSessionCount());     
       assertEquals("Created session count correct", 2, jbcm.getCreatedSessionCount());
@@ -276,7 +276,7 @@
       assertEquals("Passivated session count correct", 0, jbcm.getPassivatedSessionCount());
       
       createAndUseSession(jbcm, "3", true, true);      
-      
+      log.info("jbcm[4]>"+jbcm);
       assertEquals("Session count correct", 1, jbcm.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm.getLocalActiveSessionCount());
       assertEquals("Created session count correct", 3, jbcm.getCreatedSessionCount());
@@ -309,10 +309,12 @@
       assertFalse("Passivation is disabled", jbcm1.isPassivationEnabled());
       assertEquals("Correct max active count", 1, jbcm1.getMaxActiveAllowed());
       assertEquals("Correct max inactive interval", 1, jbcm1.getMaxInactiveInterval());
-      
+      log.info("jbcm1[1]>"+jbcm0);
+      log.info("jbcm2[1]>"+jbcm1);
       // Set up a session
       Session sess1 = createAndUseSession(jbcm0, "1", true, true);
-      
+      log.info("jbcm1[2]>"+jbcm0);
+      log.info("jbcm2[2]>"+jbcm1);
       assertEquals("Session count correct", 1, jbcm0.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm0.getLocalActiveSessionCount());      
       assertEquals("Session count correct", 1, jbcm1.getActiveSessionCount());
@@ -320,14 +322,16 @@
       
       // Should fail to create a 2nd
       createAndUseSession(jbcm1, "2", false, false);
-      
+      log.info("jbcm1[3]>"+jbcm0);
+      log.info("jbcm2[3]>"+jbcm1);
       // Confirm a session timeout clears space
       sess1.setMaxInactiveInterval(1);     
       useSession(jbcm0, "1");
       SessionTestUtil.sleepThread(jbcm0.getMaxInactiveInterval() * 1000 + 100);      
       
       createAndUseSession(jbcm1, "2", true, true);      
-      
+      log.info("jbcm1[4]>"+jbcm0);
+      log.info("jbcm2[4]>"+jbcm1);
       assertEquals("Session count correct", 2, jbcm0.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm0.getLocalActiveSessionCount());
       assertEquals("Created session count correct", 1, jbcm0.getCreatedSessionCount());
@@ -368,10 +372,12 @@
       assertEquals("Correct max active count", 1, jbcm1.getMaxActiveAllowed());
       assertEquals("Correct max idle time", 1, jbcm1.getPassivationMaxIdleTime());
       assertEquals("Correct min idle time", -1, jbcm1.getPassivationMinIdleTime());
-      
+      log.info("jbcm1[1]>"+jbcm0);
+      log.info("jbcm2[1]>"+jbcm1);
       // Set up a session
       createAndUseSession(jbcm0, "1", true, true);
-      
+      log.info("jbcm1[2]>"+jbcm0);
+      log.info("jbcm2[2]>"+jbcm1);
       assertEquals("Session count correct", 1, jbcm0.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm0.getLocalActiveSessionCount());
       assertEquals("Passivated session count correct", 0, jbcm0.getPassivatedSessionCount());      
@@ -381,14 +387,16 @@
       
       // Should fail to create a 2nd
       createAndUseSession(jbcm1, "2", false, false);      
-      
+      log.info("jbcm1[3]>"+jbcm0);
+      log.info("jbcm2[3]>"+jbcm1);
       //    Sleep past maxIdleTime      
       SessionTestUtil.sleepThread(1100);        
       
       assertEquals("Passivated session count correct", 0, jbcm1.getPassivatedSessionCount());
        
       createAndUseSession(jbcm1, "2", true, true);      
-       
+      log.info("jbcm1[4]>"+jbcm0);
+      log.info("jbcm2[4]>"+jbcm1);
       assertEquals("Session count correct", 2, jbcm0.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm0.getLocalActiveSessionCount());
       assertEquals("Created session count correct", 1, jbcm0.getCreatedSessionCount());
@@ -431,10 +439,12 @@
       assertEquals("Correct max active count", 1, jbcm1.getMaxActiveAllowed());
       assertEquals("Correct max idle time", 3, jbcm1.getPassivationMaxIdleTime());
       assertEquals("Correct min idle time", 1, jbcm1.getPassivationMinIdleTime());
-      
+      log.info("jbcm1[1]>"+jbcm0);
+      log.info("jbcm2[1]>"+jbcm1);
       // Set up a session
       createAndUseSession(jbcm0, "1", true, true);
-      
+      log.info("jbcm1[2]>"+jbcm0);
+      log.info("jbcm2[2]>"+jbcm1);
       assertEquals("Session count correct", 1, jbcm0.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm0.getLocalActiveSessionCount());
       assertEquals("Passivated session count correct", 0, jbcm0.getPassivatedSessionCount());      
@@ -444,14 +454,16 @@
       
       // Should fail to create a 2nd
       createAndUseSession(jbcm1, "2", false, false);      
-      
+      log.info("jbcm1[3]>"+jbcm0);
+      log.info("jbcm2[3]>"+jbcm1);
       // Sleep past maxIdleTime      
       SessionTestUtil.sleepThread(1100);        
       
       assertEquals("Passivated session count correct", 0, jbcm1.getPassivatedSessionCount());
        
       createAndUseSession(jbcm1, "2", true, true);      
-       
+      log.info("jbcm1[4]>"+jbcm0);
+      log.info("jbcm2[4]>"+jbcm1);
       assertEquals("Session count correct", 2, jbcm0.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm0.getLocalActiveSessionCount());
       assertEquals("Created session count correct", 1, jbcm0.getCreatedSessionCount());
@@ -495,10 +507,12 @@
       assertEquals("Correct max active count", 1, jbcm1.getMaxActiveAllowed());
       assertEquals("Correct max idle time", 3, jbcm1.getPassivationMaxIdleTime());
       assertEquals("Correct min idle time", 1, jbcm1.getPassivationMinIdleTime());
-      
+      log.info("jbcm1[1]>"+jbcm0);
+      log.info("jbcm2[1]>"+jbcm1);
       // Set up a session
       createAndUseSession(jbcm0, "1", true, true);
-      
+      log.info("jbcm1[2]>"+jbcm0);
+      log.info("jbcm2[2]>"+jbcm1);
       assertEquals("Session count correct", 1, jbcm0.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm0.getLocalActiveSessionCount());      
       assertEquals("Session count correct", 1, jbcm1.getActiveSessionCount());
@@ -513,7 +527,8 @@
       assertEquals("Passivated session count correct", 0, jbcm1.getPassivatedSessionCount());
        
       createAndUseSession(jbcm1, "2", true, true);      
-       
+      log.info("jbcm1[3]>"+jbcm0);
+      log.info("jbcm2[3]>"+jbcm1);
       assertEquals("Session count correct", 2, jbcm0.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm0.getLocalActiveSessionCount());
       assertEquals("Created session count correct", 1, jbcm0.getCreatedSessionCount());
@@ -555,10 +570,13 @@
       assertEquals("Correct max active count", 1, jbcm1.getMaxActiveAllowed());
       assertEquals("Correct max idle time", 3, jbcm1.getPassivationMaxIdleTime());
       assertEquals("Correct min idle time", 1, jbcm1.getPassivationMinIdleTime());
-      
+      log.info("jbcm1[1]>"+jbcm0);
+      log.info("jbcm2[1]>"+jbcm1);
       // Set up a session
       createAndUseSession(jbcm0, "1", true, true);
-      
+      log.info("jbcm1[2]>"+jbcm0);
+      log.info("jbcm2[2]>"+jbcm1);
+      assertEquals("Session count correct", 1, jbcm1.getActiveSessionCount());
       assertEquals("Session count correct", 1, jbcm0.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm0.getLocalActiveSessionCount());      
       assertEquals("Session count correct", 1, jbcm1.getActiveSessionCount());
@@ -566,14 +584,16 @@
       
       // Should fail to create a 2nd
       createAndUseSession(jbcm1, "2", false, false);      
-      
+      log.info("jbcm1[3]>"+jbcm0);
+      log.info("jbcm2[3]>"+jbcm1);
       // Sleep past maxIdleTime      
       SessionTestUtil.sleepThread(1100);        
       
       assertEquals("Passivated session count correct", 0, jbcm1.getPassivatedSessionCount());
        
       createAndUseSession(jbcm1, "2", true, true);      
-       
+      log.info("jbcm1[4]>"+jbcm0);
+      log.info("jbcm2[4]>"+jbcm1);
       assertEquals("Session count correct", 2, jbcm0.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm0.getLocalActiveSessionCount());
       assertEquals("Created session count correct", 1, jbcm0.getCreatedSessionCount());
@@ -615,10 +635,12 @@
       assertEquals("Correct max active count", 1, jbcm1.getMaxActiveAllowed());
       assertEquals("Correct max idle time", 3, jbcm1.getPassivationMaxIdleTime());
       assertEquals("Correct min idle time", 1, jbcm1.getPassivationMinIdleTime());
-      
+      log.info("jbcm1[1]>"+jbcm0);
+      log.info("jbcm2[1]>"+jbcm1);
       // Set up a session
       createAndUseSession(jbcm0, "1", true, true);
-      
+      log.info("jbcm1[2]>"+jbcm0);
+      log.info("jbcm2[2]>"+jbcm1);
       assertEquals("Session count correct", 1, jbcm0.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm0.getLocalActiveSessionCount());      
       assertEquals("Session count correct", 1, jbcm1.getActiveSessionCount());
@@ -626,14 +648,16 @@
       
       // Should fail to create a 2nd
       createAndUseSession(jbcm1, "2", false, false);      
-      
+      log.info("jbcm1[3]>"+jbcm0);
+      log.info("jbcm2[3]>"+jbcm1);
       // Sleep past maxIdleTime      
       SessionTestUtil.sleepThread(1100);        
       
       assertEquals("Passivated session count correct", 0, jbcm1.getPassivatedSessionCount());
        
       createAndUseSession(jbcm1, "2", true, true);      
-       
+      log.info("jbcm1[4]>"+jbcm0);
+      log.info("jbcm2[4]>"+jbcm1);
       assertEquals("Session count correct", 2, jbcm0.getActiveSessionCount());
       assertEquals("Local session count correct", 1, jbcm0.getLocalActiveSessionCount());
       assertEquals("Created session count correct", 1, jbcm0.getCreatedSessionCount());
Index: testsuite/src/resources/log4j.xml
===================================================================
--- testsuite/src/resources/log4j.xml	(revision 113677)
+++ testsuite/src/resources/log4j.xml	(working copy)
@@ -21,10 +21,9 @@
   <!-- ================================= -->
 
   <!-- A time/date based rolling appender -->
-  <appender name="FILE" class="org.jboss.logging.appender.DailyRollingFileAppender">
-    <param name="File" value="${build.testlog}/test.log"/>
-    <param name="Append" value="true"/>
-
+  <appender name="FILE" class="org.apache.log4j.FileAppender">
+    <param name="File" value="${build.testlog}/testlog.txt"/>
+    <param name="Threshold" value="FINEST"/>
     <!-- Rollover at midnight each day -->
     <param name="DatePattern" value="'.'yyyy-MM-dd"/>
 
@@ -149,9 +148,17 @@
   <!-- ======================= -->
   <!-- Setup the Root category -->
   <!-- ======================= -->
-
+  
+ <category name="org.jboss.web.tomcat.service.session">
+   <priority value="FINEST" />
+ </category>
+ <category name="org.jboss.cache">
+    <priority value="FINEST" />
+ </category>
+ 
   <root>
     <appender-ref ref="CONSOLE"/>
+    <level value="FINEST"/>
     <appender-ref ref="FILE"/>
   </root>
   
Index: testsuite/src/resources/test-log4j.xml
===================================================================
--- testsuite/src/resources/test-log4j.xml	(revision 113677)
+++ testsuite/src/resources/test-log4j.xml	(working copy)
@@ -31,9 +31,30 @@
   <!-- ======================= -->
   <!-- Setup the Root category -->
   <!-- ======================= -->
+  <!--  -->
+  <appender name="FILE" class="org.apache.log4j.RollingFileAppender">
+        
+        <param name="File" value="/home/baranowb/redhat/svn/JBPAPP_5_1/testsuite/test_log.txt"/>
+        <param name="Append" value="false"/>
+        <param name="Threshold" value="TRACE"/>
 
+        <param name="DatePattern" value="'.'yyyy-MM-dd"/>
+
+        <layout class="org.apache.log4j.PatternLayout">
+            <param name="ConversionPattern" value="%d %-5p [%c] %m%n"/>
+        </layout>
+    </appender>
+    
+    <category name="org.jboss.web.tomcat.service.session">
+        <priority value="TRACE" />
+    </category>
+ 
+    
   <root>
-    <appender-ref ref="CONSOLE"/>
-  </root>
+        
+        <appender-ref ref="CONSOLE"/>
+        <level value="TRACE"/>
+        <appender-ref ref="FILE"/>
+    </root>
   
 </log4j:configuration>
Index: testsuite/imports/config/tests-clustering.xml
===================================================================
--- testsuite/imports/config/tests-clustering.xml	(revision 113677)
+++ testsuite/imports/config/tests-clustering.xml	(working copy)
@@ -14,16 +14,15 @@
     <include name="org/jboss/test/cluster/apache_tomcat/*TestCase.class"/>
   </patternset>
   <patternset id="cluster.defaultcfg.non.http.includes">
-    <include name="org/jboss/test/cluster/defaultcfg/test/*TestCase.class"/>
-    <include name="org/jboss/test/cluster/defaultcfg/ejb2/test/*TestCase.class"/>
    
     <!-- These are web tier tests that shouldn't be repeated with REPL_SYNC, etc -->
-    <include name="org/jboss/test/cluster/defaultcfg/simpleweb/test/*TestCase.class"/>
+  	<include name="org/jboss/test/cluster/defaultcfg/simpleweb/test/JBossCacheManagerConfigurationUnitTestCase.class"/>
+  	<include name="org/jboss/test/cluster/defaultcfg/simpleweb/test/PersistentStoreSessionCountUnitTestCase.class"/>
+  	<include name="org/jboss/test/cluster/defaultcfg/simpleweb/test/StoppedManagerUnitTestCase.class"/>
+  	<include name="org/jboss/test/cluster/defaultcfg/simpleweb/test/SessionCountUnitTestCase.class"/>
+  	<include name="org/jboss/test/cluster/defaultcfg/simpleweb/test/SessionExpirationUnitTestCase.class"/>
+  	<include name="org/jboss/test/cluster/defaultcfg/simpleweb/test/TreeCacheSSOClusterManagerUnitTestCase.class"/>
   	
-    <include name="org/jboss/test/cluster/defaultcfg/clusteredentity/test/*TestCase.class"/>
-    
-    <include name="org/jboss/test/cluster/multicfg/test/*TestCase.class"/>
-    <include name="org/jboss/test/cluster/multicfg/ejb2/test/*TestCase.class"/>
     <!-- Exclude invalid JBC integration tests
     <include name="org/jboss/test/cluster/defaultcfg/cache/test/*TestCase.class"/>
     -->
@@ -111,11 +110,11 @@
       <param name="jboss.default.jgroups.stack" value="udp"/>
       <param name="baseconf" value="all"/>
     </antcall>
-    <!-- Test a TCP stack but with a more limited set of tests.-->
+    <!-- Test a TCP stack but with a more limited set of tests.
     <antcall target="tests-clustering-multicfg">
       <param name="jboss.default.jgroups.stack" value="tcp"/>
       <param name="baseconf" value="all"/>
-    </antcall>
+    </antcall>-->
   	
     <!-- Test a TCPGOSSIP stack but with a more limited set of tests..
 	<antcall target="create-tcpgossip-test-configs-directories"/>
@@ -132,7 +131,7 @@
     -->
     <!-- Test user transaction sticky with default stack. Left out of the 
     other clustering tests because it needs a separate different configuration.
-    -->
+    
     <antcall target="run-clustered-ustxsticky-tests">
       <param name="jboss.default.jgroups.stack" value="udp"/>
       <param name="baseconf" value="all"/>
@@ -144,7 +143,7 @@
     <antcall target="run-tomcat-sso-clustered-tests">
       <param name="jboss.default.jgroups.stack" value="udp"/>
       <param name="baseconf" value="all"/>
-    </antcall>
+    </antcall>-->
   </target>
   <target name="foo">
    <antcall target="tests-clustered-profileservice">
@@ -217,7 +216,8 @@
       <param name="jbosstest.cluster.node0.config" value="cluster-${jboss.default.jgroups.stack}-0"/>
       <param name="jbosstest.cluster.node1.config" value="cluster-${jboss.default.jgroups.stack}-1"/>
     </antcall>
-    
+ 
+    <!--
     <echo message="Going to call target tests-clustering-unit for HTTP tests (ASYNC, no BR)"/>
 
     <antcall target="tests-clustering-unit">
@@ -238,12 +238,12 @@
       <param name="jbosstest.cluster.node0.config" value="cluster-${jboss.default.jgroups.stack}-0"/>
       <param name="jbosstest.cluster.node1.config" value="cluster-${jboss.default.jgroups.stack}-1"/>
     </antcall>
-
+    -->
     <server:stop name="cluster-${jboss.default.jgroups.stack}-0"/>
     <server:stop name="cluster-${jboss.default.jgroups.stack}-1"/>
 
     <sleep seconds="4"/>
-
+    <!--
     <echo message="Going to call target tests-clustering-unit again with new configuration (SYNC, no BR)"/>
 
     <antcall target="tests-clustering-sync-configure"/>
@@ -315,7 +315,7 @@
 
     <server:stop name="cluster-${jboss.default.jgroups.stack}-BR-0"/>
     <server:stop name="cluster-${jboss.default.jgroups.stack}-BR-1"/>
-
+    -->
   </target>
   
   <target name="tests-clustering-configure" unless="${tests.clustering.skip.startup}">
@@ -629,7 +629,7 @@
    	
       <mkdir dir="${build.reports}"/>
       <mkdir dir="${build.testlog}"/>
-      <junit dir="${module.output}"
+      <junit dir="${module.output}" 
          printsummary="${junit.printsummary}"
          haltonerror="${junit.haltonerror}"
          haltonfailure="${junit.haltonfailure}"