Index: system-jmx/src/main/org/jboss/system/microcontainer/ServiceControllerContextActions.java
===================================================================
--- system-jmx/src/main/org/jboss/system/microcontainer/ServiceControllerContextActions.java	(revision 113810)
+++ system-jmx/src/main/org/jboss/system/microcontainer/ServiceControllerContextActions.java	(working copy)
@@ -55,8 +55,8 @@
          actions.put(ControllerState.INSTANTIATED, new InstantiateAction());
          actions.put(ControllerState.CONFIGURED, new ConfigureAction());
          actions.put(ControllerState.CREATE, new CreateDestroyLifecycleAction());
-         actions.put(ControllerState.START, new StartStopLifecycleAction());
-         actions.put(ControllerState.INSTALLED, new InstallAction());
+         // map the old service start state to the new MC installed state
+         actions.put(ControllerState.INSTALLED, new StartStopLifecycleAction());
          instance = new ServiceControllerContextActions(actions);
       }
       return instance;
@@ -74,7 +74,8 @@
          Map<ControllerState, ControllerContextAction> actions = new HashMap<ControllerState, ControllerContextAction>();
          actions.put(ControllerState.INSTANTIATED, new OnlyUnregisterAction());
          actions.put(ControllerState.CREATE, new CreateDestroyLifecycleAction());
-         actions.put(ControllerState.START, new StartStopLifecycleAction());
+         // map the old service start state to the new MC installed state
+         actions.put(ControllerState.INSTALLED, new StartStopLifecycleAction());
          lifecycleOnly = new ServiceControllerContextActions(actions);
       }
       return lifecycleOnly;
Index: system-jmx/src/main/org/jboss/system/microcontainer/InstallAction.java
===================================================================
--- system-jmx/src/main/org/jboss/system/microcontainer/InstallAction.java	(revision 113810)
+++ system-jmx/src/main/org/jboss/system/microcontainer/InstallAction.java	(working copy)
@@ -1,39 +0,0 @@
-/*
- * JBoss, Home of Professional Open Source.
- * Copyright 2008, Red Hat Middleware LLC, and individual contributors
- * as indicated by the @author tags. See the copyright.txt file in the
- * distribution for a full listing of individual contributors.
- *
- * This is free software; you can redistribute it and/or modify it
- * under the terms of the GNU Lesser General Public License as
- * published by the Free Software Foundation; either version 2.1 of
- * the License, or (at your option) any later version.
- *
- * This software is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
- * Lesser General Public License for more details.
- *
- * You should have received a copy of the GNU Lesser General Public
- * License along with this software; if not, write to the Free
- * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
- * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
- */
-package org.jboss.system.microcontainer;
-
-/**
- * InstallAction.
- *
- * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
- */
-public class InstallAction extends ServiceControllerContextAction
-{
-   public void installAction(ServiceControllerContext context) throws Throwable
-   {
-   }
-
-   public void uninstallAction(ServiceControllerContext context)
-   {
-   }
-}
Index: system-jmx/src/main/org/jboss/system/metadata/ServiceDependencyValueMetaData.java
===================================================================
--- system-jmx/src/main/org/jboss/system/metadata/ServiceDependencyValueMetaData.java	(revision 113810)
+++ system-jmx/src/main/org/jboss/system/metadata/ServiceDependencyValueMetaData.java	(working copy)
@@ -207,6 +207,7 @@
       // TODO visitor.addDependency(new LifecycleDependencyItem(name, other, ControllerState.CONFIGURED));
       visitor.addDependency(new LifecycleDependencyItem(name, other, ControllerState.CREATE));
       visitor.addDependency(new LifecycleDependencyItem(name, other, ControllerState.START));
+      visitor.addDependency(new LifecycleDependencyItem(name, other, ControllerState.INSTALLED));
       visitor.visit(this);
    }
 }
Index: system-jmx/src/main/org/jboss/system/metadata/ServiceDependencyMetaData.java
===================================================================
--- system-jmx/src/main/org/jboss/system/metadata/ServiceDependencyMetaData.java	(revision 113810)
+++ system-jmx/src/main/org/jboss/system/metadata/ServiceDependencyMetaData.java	(working copy)
@@ -119,6 +119,7 @@
       }
       visitor.addDependency(new LifecycleDependencyItem(name, other, ControllerState.CREATE));
       visitor.addDependency(new LifecycleDependencyItem(name, other, ControllerState.START));
+      visitor.addDependency(new LifecycleDependencyItem(name, other, ControllerState.INSTALLED));
       visitor.visit(this);
    }
 }