diff -urN picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/identity/federation/bindings/jboss/auth/SAML2STSCommonLoginModule.java picketlink-jbas5-2.1.5.src.product/org/picketlink/identity/federation/bindings/jboss/auth/SAML2STSCommonLoginModule.java
--- picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/identity/federation/bindings/jboss/auth/SAML2STSCommonLoginModule.java	2012-12-03 08:42:10.658449537 +0100
+++ picketlink-jbas5-2.1.5.src.product/org/picketlink/identity/federation/bindings/jboss/auth/SAML2STSCommonLoginModule.java	2012-12-03 08:32:11.562012235 +0100
@@ -99,7 +99,7 @@
 /*     */       }
 /*     */ 
 /* 247 */       if (!this.localValidationSecurityDomain.startsWith("java:")) {
-/* 248 */         this.localValidationSecurityDomain = ("java:jboss/jaas//" + this.localValidationSecurityDomain);
+/* 248 */         this.localValidationSecurityDomain = ("java:/jaas/" + this.localValidationSecurityDomain);
 /*     */       }
 /* 250 */       String localTestingOnlyStr = (String)options.get("localTestingOnly");
 /* 251 */       if (StringUtil.isNotNull(localTestingOnlyStr))
diff -urN picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/identity/federation/bindings/jboss/auth/SAMLTokenCertValidatingCommonLoginModule.java picketlink-jbas5-2.1.5.src.product/org/picketlink/identity/federation/bindings/jboss/auth/SAMLTokenCertValidatingCommonLoginModule.java
--- picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/identity/federation/bindings/jboss/auth/SAMLTokenCertValidatingCommonLoginModule.java	2012-12-03 08:42:10.742449546 +0100
+++ picketlink-jbas5-2.1.5.src.product/org/picketlink/identity/federation/bindings/jboss/auth/SAMLTokenCertValidatingCommonLoginModule.java	2012-12-03 08:32:11.646012225 +0100
@@ -114,7 +114,7 @@
 /*     */     }
 /*     */ 
 /* 213 */     if (!this.localValidationSecurityDomain.startsWith("java:")) {
-/* 214 */       this.localValidationSecurityDomain = ("java:jboss/jaas//" + this.localValidationSecurityDomain);
+/* 214 */       this.localValidationSecurityDomain = ("java:/jaas/" + this.localValidationSecurityDomain);
 /*     */     }
 /*     */ 
 /* 217 */     Init.init();
diff -urN picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/identity/federation/bindings/tomcat/sp/SecurityActions.java picketlink-jbas5-2.1.5.src.product/org/picketlink/identity/federation/bindings/tomcat/sp/SecurityActions.java
--- picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/identity/federation/bindings/tomcat/sp/SecurityActions.java	2012-12-03 08:42:10.446449514 +0100
+++ picketlink-jbas5-2.1.5.src.product/org/picketlink/identity/federation/bindings/tomcat/sp/SecurityActions.java	2012-12-03 08:32:11.358012260 +0100
@@ -72,23 +72,21 @@
 /*     */ 
 /*     */   static Method getMethod(Class<?> clazz, final String methodName, final Class<?>[] parameterTypes)
 /*     */   {
-/* 135 */     SecurityManager sm = System.getSecurityManager();
-/*     */ 
-/* 137 */     if (sm != null) {
-/* 138 */       return (Method)AccessController.doPrivileged(new PrivilegedAction() {
+/* 135 */     if (System.getSecurityManager() != null) {
+/* 136 */       return (Method)AccessController.doPrivileged(new PrivilegedAction() {
 /*     */         public Method run() {
 /*     */           try {
-/* 141 */             return this.val$clazz.getDeclaredMethod(methodName, parameterTypes); } catch (Exception e) {
+/* 139 */             return this.val$clazz.getDeclaredMethod(methodName, parameterTypes); } catch (Exception e) {
 /*     */           }
-/* 143 */           return null;
+/* 141 */           return null;
 /*     */         }
 /*     */       });
 /*     */     }
 /*     */     try
 /*     */     {
-/* 149 */       return clazz.getDeclaredMethod(methodName, parameterTypes); } catch (Exception e) {
+/* 147 */       return clazz.getDeclaredMethod(methodName, parameterTypes); } catch (Exception e) {
 /*     */     }
-/* 151 */     return null;
+/* 149 */     return null;
 /*     */   }
 /*     */ }
 
diff -urN picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/trust/jbossws/handler/AbstractPicketLinkTrustHandler.java picketlink-jbas5-2.1.5.src.product/org/picketlink/trust/jbossws/handler/AbstractPicketLinkTrustHandler.java
--- picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/trust/jbossws/handler/AbstractPicketLinkTrustHandler.java	2012-12-03 08:42:10.186449486 +0100
+++ picketlink-jbas5-2.1.5.src.product/org/picketlink/trust/jbossws/handler/AbstractPicketLinkTrustHandler.java	2012-12-03 08:32:11.074012295 +0100
@@ -36,7 +36,7 @@
 /*  69 */   protected static final PicketLinkLogger logger = PicketLinkLoggerFactory.getLogger();
 /*     */ 
 /*  83 */   protected static Set<QName> headers = Collections.unmodifiableSet(set);
-/*     */   protected static final String SEC_MGR_LOOKUP = "java:jboss/jaas/";
+/*     */   protected static final String SEC_MGR_LOOKUP = "java:/jaas";
 /*     */   protected static final String AUTHZ_MGR_LOOKUP = "java:comp/env/security/authorizationMgr";
 /*     */   protected SecurityAdaptorFactory secAdapterfactory;
 /*     */   private String securityDomainName;
diff -urN picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/trust/jbossws/handler/AbstractWSAuthenticationHandler.java picketlink-jbas5-2.1.5.src.product/org/picketlink/trust/jbossws/handler/AbstractWSAuthenticationHandler.java
--- picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/trust/jbossws/handler/AbstractWSAuthenticationHandler.java	2012-12-03 08:42:10.146449481 +0100
+++ picketlink-jbas5-2.1.5.src.product/org/picketlink/trust/jbossws/handler/AbstractWSAuthenticationHandler.java	2012-12-03 08:32:11.038012299 +0100
@@ -63,7 +63,7 @@
 /*     */   {
 /* 106 */     String securityDomainName = getSecurityDomainName(msgContext);
 /*     */ 
-/* 108 */     return (AuthenticationManager)lookupJNDI("java:jboss/jaas/" + securityDomainName);
+/* 108 */     return (AuthenticationManager)lookupJNDI("java:/jaas" + securityDomainName);
 /*     */   }
 /*     */ }
 
diff -urN picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/trust/jbossws/handler/AbstractWSAuthorizationHandler.java picketlink-jbas5-2.1.5.src.product/org/picketlink/trust/jbossws/handler/AbstractWSAuthorizationHandler.java
--- picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/trust/jbossws/handler/AbstractWSAuthorizationHandler.java	2012-12-03 08:42:10.166449484 +0100
+++ picketlink-jbas5-2.1.5.src.product/org/picketlink/trust/jbossws/handler/AbstractWSAuthorizationHandler.java	2012-12-03 08:32:11.050012298 +0100
@@ -143,7 +143,7 @@
 /*     */   protected AuthorizationManager getAuthorizationManager(MessageContext msgContext)
 /*     */     throws ConfigurationException
 /*     */   {
-/* 186 */     return (AuthorizationManager)lookupJNDI("java:jboss/jaas/" + getSecurityDomainName(msgContext) + "/authorizationMgr");
+/* 186 */     return (AuthorizationManager)lookupJNDI("java:/jaas" + getSecurityDomainName(msgContext) + "/authorizationMgr");
 /*     */   }
 /*     */ }
 
diff -urN picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/trust/jbossws/handler/WSAuthenticationHandler.java picketlink-jbas5-2.1.5.src.product/org/picketlink/trust/jbossws/handler/WSAuthenticationHandler.java
--- picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/trust/jbossws/handler/WSAuthenticationHandler.java	2012-12-03 08:42:10.170449484 +0100
+++ picketlink-jbas5-2.1.5.src.product/org/picketlink/trust/jbossws/handler/WSAuthenticationHandler.java	2012-12-03 08:32:11.054012297 +0100
@@ -1,15 +1,8 @@
-/*    */ package org.picketlink.trust.jbossws.handler;
-/*    */ 
-/*    */ import javax.xml.ws.handler.MessageContext;
-/*    */ import org.jboss.security.AuthenticationManager;
-/*    */ 
-/*    */ public class WSAuthenticationHandler extends AbstractWSAuthenticationHandler
-/*    */ {
-/*    */   protected AuthenticationManager getAuthenticationManager(MessageContext msgContext)
-/*    */   {
-/* 56 */     return (AuthenticationManager)lookupJNDI("java:comp/env/security/securityMgr");
-/*    */   }
-/*    */ }
+package org.picketlink.trust.jbossws.handler;
+
+public class WSAuthenticationHandler extends AbstractWSAuthenticationHandler
+{
+}
 
 /*
  * Qualified Name:     org.picketlink.trust.jbossws.handler.WSAuthenticationHandler
diff -urN picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/trust/jbossws/handler/WSAuthorizationHandler.java picketlink-jbas5-2.1.5.src.product/org/picketlink/trust/jbossws/handler/WSAuthorizationHandler.java
--- picketlink-jbas5-2.1.5.Final.fromNexus.src/org/picketlink/trust/jbossws/handler/WSAuthorizationHandler.java	2012-12-03 08:42:10.118449478 +0100
+++ picketlink-jbas5-2.1.5.src.product/org/picketlink/trust/jbossws/handler/WSAuthorizationHandler.java	2012-12-03 08:32:11.014012303 +0100
@@ -1,15 +1,8 @@
-/*    */ package org.picketlink.trust.jbossws.handler;
-/*    */ 
-/*    */ import javax.xml.ws.handler.MessageContext;
-/*    */ import org.jboss.security.AuthorizationManager;
-/*    */ 
-/*    */ public class WSAuthorizationHandler extends AbstractWSAuthorizationHandler
-/*    */ {
-/*    */   protected AuthorizationManager getAuthorizationManager(MessageContext msgContext)
-/*    */   {
-/* 63 */     return (AuthorizationManager)lookupJNDI("java:comp/env/security/authorizationMgr");
-/*    */   }
-/*    */ }
+package org.picketlink.trust.jbossws.handler;
+
+public class WSAuthorizationHandler extends AbstractWSAuthorizationHandler
+{
+}
 
 /*
  * Qualified Name:     org.picketlink.trust.jbossws.handler.WSAuthorizationHandler