diff --git a/server/src/main/java/org/jboss/as/server/deployment/AbstractDeploymentUnitService.java b/server/src/main/java/org/jboss/as/server/deployment/AbstractDeploymentUnitService.java
index 46aa0ff..7c93c70 100644
--- a/server/src/main/java/org/jboss/as/server/deployment/AbstractDeploymentUnitService.java
+++ b/server/src/main/java/org/jboss/as/server/deployment/AbstractDeploymentUnitService.java
@@ -63,12 +63,14 @@ public abstract class AbstractDeploymentUnitService implements Service<Deploymen
         final String deploymentName = context.getController().getName().getSimpleName();
         final DeploymentServiceListener listener = new DeploymentServiceListener(deploymentName);
         this.listener = listener;
-        ServerLogger.DEPLOYMENT_LOGGER.startingDeployment(deploymentName);
         // Create the first phase deployer
         target.addListener(ServiceListener.Inheritance.ALL, listener);
         deploymentUnit = createAndInitializeDeploymentUnit(context.getController().getServiceContainer());
         deploymentUnit.putAttachment(Attachments.STATUS_LISTENER, listener);
 
+        final String managementName = deploymentUnit.getAttachment(Attachments.MANAGEMENT_NAME);
+        ServerLogger.DEPLOYMENT_LOGGER.startingDeployment(managementName);
+
         final ServiceName serviceName = deploymentUnit.getServiceName().append(FIRST_PHASE_NAME);
         final Phase firstPhase = Phase.values()[0];
         final DeploymentUnitPhaseService<?> phaseService = DeploymentUnitPhaseService.create(deploymentUnit, firstPhase);
@@ -87,9 +89,9 @@ public abstract class AbstractDeploymentUnitService implements Service<Deploymen
     protected abstract DeploymentUnit createAndInitializeDeploymentUnit(final ServiceRegistry registry);
 
     public synchronized void stop(final StopContext context) {
-        final String deploymentName = context.getController().getName().getSimpleName();
+        final String managementName = deploymentUnit.getAttachment(Attachments.MANAGEMENT_NAME);
+        ServerLogger.DEPLOYMENT_LOGGER.stoppedDeployment(managementName, (int) (context.getElapsedTime() / 1000000L));
         deploymentUnit = null;
-        ServerLogger.DEPLOYMENT_LOGGER.stoppedDeployment(deploymentName, (int) (context.getElapsedTime() / 1000000L));
     }
 
     public synchronized DeploymentUnit getValue() throws IllegalStateException, IllegalArgumentException {
diff --git a/server/src/main/java/org/jboss/as/server/deployment/DeploymentHandlerUtil.java b/server/src/main/java/org/jboss/as/server/deployment/DeploymentHandlerUtil.java
index 5887fdc..c8c35ff 100644
--- a/server/src/main/java/org/jboss/as/server/deployment/DeploymentHandlerUtil.java
+++ b/server/src/main/java/org/jboss/as/server/deployment/DeploymentHandlerUtil.java
@@ -129,12 +129,12 @@ public class DeploymentHandlerUtil {
                                         context.removeService(controller.getName());
                                     }
                                     if (context.hasFailureDescription()) {
-                                        ServerLogger.ROOT_LOGGER.deploymentRolledBack(deploymentUnitName, getFormattedFailureDescription(context));
+                                        ServerLogger.ROOT_LOGGER.deploymentRolledBack(managementName, getFormattedFailureDescription(context));
                                     } else {
-                                        ServerLogger.ROOT_LOGGER.deploymentRolledBackWithNoMessage(deploymentUnitName);
+                                        ServerLogger.ROOT_LOGGER.deploymentRolledBackWithNoMessage(managementName);
                                     }
                                 } else {
-                                    ServerLogger.ROOT_LOGGER.deploymentDeployed(deploymentUnitName);
+                                    ServerLogger.ROOT_LOGGER.deploymentDeployed(managementName);
                                 }
                             }
                         });
@@ -213,14 +213,14 @@ public class DeploymentHandlerUtil {
                                 public void handleResult(OperationContext.ResultAction resultAction, OperationContext context, ModelNode operation) {
                                     if (resultAction == OperationContext.ResultAction.ROLLBACK) {
                                         if (context.hasFailureDescription()) {
-                                            ServerLogger.ROOT_LOGGER.redeployRolledBack(deploymentUnitName, getFormattedFailureDescription(context));
+                                            ServerLogger.ROOT_LOGGER.redeployRolledBack(managementName, getFormattedFailureDescription(context));
                                             logged.set(true);
                                         } else {
-                                            ServerLogger.ROOT_LOGGER.redeployRolledBackWithNoMessage(deploymentUnitName);
+                                            ServerLogger.ROOT_LOGGER.redeployRolledBackWithNoMessage(managementName);
                                             logged.set(true);
                                         }
                                     } else {
-                                        ServerLogger.ROOT_LOGGER.deploymentRedeployed(deploymentUnitName);
+                                        ServerLogger.ROOT_LOGGER.deploymentRedeployed(managementName);
                                     }
                                 }
                             });
@@ -234,9 +234,9 @@ public class DeploymentHandlerUtil {
                             doDeploy(context, deploymentUnitName, managementName, verificationHandler, deployment, registration, mutableRegistration, vaultReader, contents);
                             if (!logged.get()) {
                                 if (context.hasFailureDescription()) {
-                                    ServerLogger.ROOT_LOGGER.undeploymentRolledBack(deploymentUnitName, context.getFailureDescription().asString());
+                                    ServerLogger.ROOT_LOGGER.undeploymentRolledBack(managementName, context.getFailureDescription().asString());
                                 } else {
-                                    ServerLogger.ROOT_LOGGER.undeploymentRolledBackWithNoMessage(deploymentUnitName);
+                                    ServerLogger.ROOT_LOGGER.undeploymentRolledBackWithNoMessage(managementName);
                                 }
                             }
                         }
@@ -286,12 +286,12 @@ public class DeploymentHandlerUtil {
                                 doDeploy(context, runtimeName, name, svh, deployment, registration, mutableRegistration, vaultReader, contents);
 
                                 if (context.hasFailureDescription()) {
-                                    ServerLogger.ROOT_LOGGER.replaceRolledBack(replacedDeploymentUnitName, deploymentUnitName, getFormattedFailureDescription(context));
+                                    ServerLogger.ROOT_LOGGER.replaceRolledBack(replacedDeploymentUnitName, managementName, getFormattedFailureDescription(context));
                                 } else {
-                                    ServerLogger.ROOT_LOGGER.replaceRolledBackWithNoMessage(replacedDeploymentUnitName, deploymentUnitName);
+                                    ServerLogger.ROOT_LOGGER.replaceRolledBackWithNoMessage(replacedDeploymentUnitName, managementName);
                                 }
                             } else {
-                                ServerLogger.ROOT_LOGGER.deploymentReplaced(replacedDeploymentUnitName, deploymentUnitName);
+                                ServerLogger.ROOT_LOGGER.deploymentReplaced(replacedDeploymentUnitName, managementName);
                             }
                         }
                     });
@@ -300,7 +300,7 @@ public class DeploymentHandlerUtil {
         }
     }
 
-    public static void undeploy(final OperationContext context, final String deploymentUnitName, final AbstractVaultReader vaultReader) {
+    public static void undeploy(final OperationContext context, final String deploymentUnitName, final String managementName, final AbstractVaultReader vaultReader) {
         if (context.isNormalServer()) {
             final Resource deployment = context.readResourceForUpdate(PathAddress.EMPTY_ADDRESS);
             final ImmutableManagementResourceRegistration registration = context.getResourceRegistration();
@@ -326,12 +326,12 @@ public class DeploymentHandlerUtil {
                                 doDeploy(context, runtimeName, name, verificationHandler, deployment, registration, mutableRegistration, vaultReader, contents);
 
                                 if (context.hasFailureDescription()) {
-                                    ServerLogger.ROOT_LOGGER.undeploymentRolledBack(deploymentUnitName, getFormattedFailureDescription(context));
+                                    ServerLogger.ROOT_LOGGER.undeploymentRolledBack(managementName, getFormattedFailureDescription(context));
                                 } else {
-                                    ServerLogger.ROOT_LOGGER.undeploymentRolledBackWithNoMessage(deploymentUnitName);
+                                    ServerLogger.ROOT_LOGGER.undeploymentRolledBackWithNoMessage(managementName);
                                 }
                             } else {
-                                ServerLogger.ROOT_LOGGER.deploymentUndeployed(deploymentUnitName);
+                                ServerLogger.ROOT_LOGGER.deploymentUndeployed(managementName);
                             }
                         }
                     });
diff --git a/server/src/main/java/org/jboss/as/server/deployment/DeploymentUndeployHandler.java b/server/src/main/java/org/jboss/as/server/deployment/DeploymentUndeployHandler.java
index 3cd1bb1..6addd9d 100644
--- a/server/src/main/java/org/jboss/as/server/deployment/DeploymentUndeployHandler.java
+++ b/server/src/main/java/org/jboss/as/server/deployment/DeploymentUndeployHandler.java
@@ -18,6 +18,7 @@
  */
 package org.jboss.as.server.deployment;
 
+import static org.jboss.as.controller.descriptions.ModelDescriptionConstants.OP_ADDR;
 import static org.jboss.as.controller.descriptions.ModelDescriptionConstants.UNDEPLOY;
 import static org.jboss.as.server.controller.resources.DeploymentAttributes.ENABLED;
 import static org.jboss.as.server.controller.resources.DeploymentAttributes.RUNTIME_NAME;
@@ -49,7 +50,11 @@ public class DeploymentUndeployHandler implements OperationStepHandler {
         final String deploymentUnitName = RUNTIME_NAME.resolveModelAttribute(context, model).asString();
         model.get(ENABLED.getName()).set(false);
 
-        DeploymentHandlerUtil.undeploy(context, deploymentUnitName, vaultReader);
+        final ModelNode opAddr = operation.get(OP_ADDR);
+        PathAddress address = PathAddress.pathAddress(opAddr);
+        final String name = address.getLastElement().getValue();
+
+        DeploymentHandlerUtil.undeploy(context, deploymentUnitName, name, vaultReader);
 
         context.stepCompleted();
     }