Index: cluster/src/main/org/jboss/ha/singleton/HASingletonElectionPolicyQuorum.java
===================================================================
--- cluster/src/main/org/jboss/ha/singleton/HASingletonElectionPolicyQuorum.java	(revision 0)
+++ cluster/src/main/org/jboss/ha/singleton/HASingletonElectionPolicyQuorum.java	(working copy)
@@ -0,0 +1,71 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright 2013, Red Hat Middleware LLC, and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+package org.jboss.ha.singleton;
+
+import java.util.List;
+
+import org.jboss.ha.framework.interfaces.ClusterNode;
+import org.jboss.ha.framework.interfaces.HASingletonElectionPolicy;
+import org.jboss.logging.Logger;
+
+/**
+ * Simple quorum election policy. It will elect node only in case quorum is met. Otherwise it will return '<b>null</b>' from
+ * {@link HASingletonElectionPolicy#elect(List)}, this will cause server to act as no president has been elected, ignoring
+ * deployment which has this poilicy set up.
+ * 
+ * @author baranowb
+ */
+public class HASingletonElectionPolicyQuorum implements HASingletonElectionPolicyQuorumMBean, HASingletonElectionPolicy {
+    protected final Logger logger = Logger.getLogger(getClass());
+    // Attributes
+    private int quorum;
+
+    @Override
+    public void setQuorum(final int q) {
+        if (q <= 0) {
+            throw new IllegalArgumentException("Quorum must be greater than '0'!");
+        }
+        this.quorum = q;
+    }
+
+    @Override
+    public int getQuorum() {
+        return this.quorum;
+    }
+
+    public ClusterNode elect(final List<ClusterNode> candidates) {
+        final int size = candidates.size();
+        if (size < getQuorum()) {
+            return null;
+        }
+
+        return doElect(candidates);
+    }
+
+    protected ClusterNode doElect(final List<ClusterNode> candidates) {
+        final ClusterNode clusterNode = candidates.get(0);
+        if (this.logger.isDebugEnabled()) {
+            this.logger.debug("Elected '" + clusterNode + "' from '" + candidates + "'");
+        }
+        return clusterNode;
+    }
+}
Index: cluster/src/main/org/jboss/ha/singleton/HASingletonElectionPolicyQuorumMBean.java
===================================================================
--- cluster/src/main/org/jboss/ha/singleton/HASingletonElectionPolicyQuorumMBean.java	(revision 0)
+++ cluster/src/main/org/jboss/ha/singleton/HASingletonElectionPolicyQuorumMBean.java	(working copy)
@@ -0,0 +1,41 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright 2008, Red Hat Middleware LLC, and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+package org.jboss.ha.singleton;
+
+
+/**
+ * Quorum MBean interface. It defines methods required by quorum policy bean.
+ * 
+ * @author baranowb
+ * 
+ */
+public interface HASingletonElectionPolicyQuorumMBean {
+
+    /**
+     * Sets the minimal number of nodes in cluster, which permit election of target of singleton deployment.
+     * 
+     * @param q
+     */
+    public void setQuorum(int q);
+
+    public int getQuorum();
+}
Index: cluster/src/main/org/jboss/ha/singleton/HASingletonElectionPolicySimpleQuorum.java
===================================================================
--- cluster/src/main/org/jboss/ha/singleton/HASingletonElectionPolicySimpleQuorum.java	(revision 0)
+++ cluster/src/main/org/jboss/ha/singleton/HASingletonElectionPolicySimpleQuorum.java	(working copy)
@@ -0,0 +1,64 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright 2013, Red Hat Middleware LLC, and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+package org.jboss.ha.singleton;
+
+import java.util.List;
+
+import org.jboss.ha.framework.interfaces.ClusterNode;
+import org.jboss.ha.framework.interfaces.HASingletonElectionPolicy;
+
+/**
+ * A bit more complex version of {@link HASingletonElectionPolicyQuorum}. It provides shift/position like capabilities, just
+ * like in case of {@link HASingletonElectionPolicySimple}.
+ * In other words, if quroum is met, election takes place with rules same as in case of {@link HASingletonElectionPolicySimple}. 
+ * 
+ * @author baranowb
+ */
+public class HASingletonElectionPolicySimpleQuorum extends HASingletonElectionPolicyQuorum implements
+        HASingletonElectionPolicySimpleQuorumMBean, HASingletonElectionPolicy {
+
+    private int position = 0;
+
+    @Override
+    public void setPosition(int pos) {
+        if (pos < 0) {
+            throw new IllegalArgumentException("Position must be positive!");
+        }
+        this.position = pos;
+    }
+
+    @Override
+    public int getPosition() {
+        return this.position;
+    }
+
+    protected ClusterNode doElect(List<ClusterNode> candidates) {
+        int size = candidates.size();
+        int remainder = ((this.position % size) + size) % size;
+
+        final ClusterNode clusterNode = candidates.get(remainder);
+        if (this.logger.isDebugEnabled()) {
+            this.logger.debug("Elected '" + clusterNode + "' from '" + candidates + "'");
+        }
+        return clusterNode;
+    }
+}
Index: cluster/src/main/org/jboss/ha/singleton/HASingletonElectionPolicySimpleQuorumMBean.java
===================================================================
--- cluster/src/main/org/jboss/ha/singleton/HASingletonElectionPolicySimpleQuorumMBean.java	(revision 0)
+++ cluster/src/main/org/jboss/ha/singleton/HASingletonElectionPolicySimpleQuorumMBean.java	(working copy)
@@ -0,0 +1,31 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright 2008, Red Hat Middleware LLC, and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+package org.jboss.ha.singleton;
+
+
+/**
+ * @author baranowb
+ * 
+ */
+public interface HASingletonElectionPolicySimpleQuorumMBean extends HASingletonElectionPolicyQuorumMBean, HASingletonElectionPolicySimpleMBean{
+
+}